<div xmlns="http://www.w3.org/1999/xhtml"
	 xmlns:f="http://typo3.org/ns/fluid/ViewHelpers"
	 xmlns:jf="http://typo3.org/ns/CodingMs/JobFinder/ViewHelpers"
	 data-namespace-typo3-fluid="true" lang="en">
	<f:layout name="Default"/>
	<f:section name="Main">

		<article class="row itemscope" itemscope itemtype="https://schema.org/JobPosting">

			<div class="col-12">
				<f:if condition="{settings.detail.headline}">
					<f:then>
						<h1 itemprop="title">{job.title}</h1>
					</f:then>
					<f:else>
						<h2 itemprop="title">{job.title}</h2>
					</f:else>
				</f:if>

				<f:if condition="{f:count(subject: job.images)} > 0">
					<f:render partial="Job/Detail/Images" arguments="{_all}"/>
				</f:if>

				<div class="job-description" itemprop="description"><f:format.html>{job.description}</f:format.html></div>

				<f:if condition="{f:count(subject: job.otherImages)} > 0">
					<f:render partial="Job/Detail/OtherImages" arguments="{_all}"/>
				</f:if>

				<f:if condition="{job.remotePossible}">
					<span class="badge bg-primary">remote</span>
				</f:if>
				<f:if condition="{job.jobImmediateStart}">
					<span class="badge bg-primary">ab sofort!</span>
				</f:if>
				<f:if condition="{job.jobStartDate}">
					<span class="badge bg-primary"
						  content="{f:format.date(format: 'Y-m-d', date: job.jobStartDate)}T0:00"
						  itemprop="jobStartDate">ab {f:format.date(format: 'd.m.Y', date: job.jobStartDate)}</span>
				</f:if>

				<f:link.page class="btn btn-primary" pageUid="{settings.list.pageUid}">
					<f:translate key="tx_jobfinder_label.return_to_list" />
				</f:link.page>

				<f:if condition="{settings.pdf.active}">
					<f:link.action action="createJobPdf"
								   controller="Pdf"
								   extensionName="JobFinderPro"
								   arguments="{job: job}"
								   pluginName="Pdf"
								   pageType="1702912991"
								   target="_blank"
								   class="btn btn-primary pdf-single"
								   title="{f:translate(key: 'tx_jobfinder_label.button_create_job_pdf_title')}">
						<i class="fa fa-file-pdf-o" aria-hidden="true"></i>
						<span><f:translate key="tx_jobfinder_label.button_create_job_pdf_label" /></span>
					</f:link.action>
				</f:if>

			</div>

			<f:if condition="{job.publicationDate}">
				<meta itemprop="datePosted" content="{f:format.date(format: 'Y-m-d', date: job.publicationDate)}T0:00" />
			</f:if>
			<f:if condition="{job.validThroughDate}">
				<meta itemprop="validThrough" content="{f:format.date(format: 'Y-m-d', date: job.validThroughDate)}T0:00" />
			</f:if>
			<f:if condition="{job.remotePossible}">
				<span itemprop="applicantLocationRequirements" itemscope itemtype="https://schema.org/Country">
						<meta itemprop="name" content="{job.remoteLocation}">
				</span>
				<meta itemprop="jobLocationType" content="TELECOMMUTE" />
			</f:if>

			<f:if condition="{job.additionalInformation}">
				<div class="col-md-6">
					<div class="card job-additional-information">
						<div class="card-body">
							<f:format.html>{job.additionalInformation}</f:format.html>
						</div>
					</div>
				</div>
			</f:if>

			<f:if condition="{job.skills}">
				<div class="col-md-6">
					<f:render partial="Job/Detail/Skills" arguments="{_all}"/>
				</div>
			</f:if>

			<f:if condition="{job.qualifications}">
				<div class="col-md-6">
					<f:render partial="Job/Detail/Qualifications" arguments="{_all}"/>
				</div>
			</f:if>

			<f:if condition="{job.jobBenefits}">
				<div class="col-md-6">
					<f:render partial="Job/Detail/Benefits" arguments="{_all}"/>
				</div>
			</f:if>

			<div class="col-md-6">
				<f:render partial="Job/Detail/Details" arguments="{_all}"/>
			</div>

			<div class="col-md-6">
				<f:render partial="Job/Detail/Publisher" arguments="{_all}"/>
			</div>

			<f:if condition="{f:count(subject: job.files)} > 0">
				<div class="col-md-6">
					<f:render partial="Job/Detail/Files" arguments="{_all}"/>
				</div>
			</f:if>

			<div class="col-md-6">
				<f:render partial="Job/Detail/Application" arguments="{_all}"/>
			</div>

		</article>

		<f:if condition="{f:count(subject: suggestedJobs)} && {settings.detail.suggestedJobs.active}">
			<div class="row">
				<div class="col-12 mt-5">
					<h2 class="text-center"><f:translate key="tx_jobfinder_label.suggested_jobs" /></h2>
				</div>
				<div class="col-12">
					<f:render partial="Job/Detail/SuggestedJobs" arguments="{_all}"/>
				</div>
			</div>
		</f:if>

	</f:section>
</div>
